# Interface methods for submodule: SmoothingRecursiveGaussianImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import InPlaceImageFilterProxy as _InPlaceImageFilterProxy


# Interface methods for class: SmoothingRecursiveGaussianImageFilter
class SmoothingRecursiveGaussianImageFilterProxy(_InPlaceImageFilterProxy):
	def GetNameOfClass(self):
		""""""
		...

	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def SetSigmaArray(self, sigma: Sequence[float]) -> None:
		""""""
		...

	def SetSigma(self, sigma: float) -> None:
		""""""
		...

	def GetSigmaArray(self) -> Sequence[float]:
		""""""
		...

	def GetSigma(self) -> float:
		""""""
		...

	def SetNormalizeAcrossScale(self, normalize: bool) -> None:
		""""""
		...

	def GetNormalizeAcrossScale(self) -> bool:
		""""""
		...

	def NormalizeAcrossScaleOn(self) -> None:
		""""""
		...

	def NormalizeAcrossScaleOff(self) -> None:
		""""""
		...

	def SetNumberOfWorkUnits(self, nb: int) -> None:
		""""""
		...

	def CanRunInPlace(self) -> bool:
		""""""
		...

